#!/bin/bash

echo "Functional API Tests"
pwd

source ./gitlab-ci/shared.sh

make coverage -C ./
supervisorctl status all
supervisorctl update
sleep 3
supervisorctl status all

# run API validation
ubus-api-validator -d ./test/api/json/ > ./api-result.log
check_ret $?

supervisorctl stop all
supervisorctl status

# report part
date +%s > timestamp.log
gcovr -r . --xml -o ./api-test-coverage.xml
gcovr -r .
cp /opt/work/memory-report.xml /builds/iopsys/ethmngr/api-test-memory-report.xml
tap-junit --input ./api-result.log --output report
date +%s > timestamp.log

echo "Checking memory leaks..."
grep -q "Leak_DefinitelyLost" /opt/work/memory-report.xml
error_on_zero $?

echo "Functional ubus API test :: PASS"

